import { type ConnectionOptions } from "nats";
import type { AdaptorSubscribeTypeFn } from "../types.ts";
import type Adaptor from "./adaptor.ts";
export default class NatsAdaptor implements Adaptor {
    private options;
    private nc?;
    private callbacks;
    private sc;
    private sub?;
    constructor(options: ConnectionOptions);
    listen(serviceName: string): Promise<void>;
    subscribe(subject: string, fn: AdaptorSubscribeTypeFn): void;
    request(subject: string, req: string): Promise<string>;
    stop(): Promise<void>;
}
